%define upstream_name	 Unicode-Map8
%define upstream_version 0.13

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 31

Summary:	Mapping table between 8-bit chars and Unicode
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/G/GA/GAAS/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-Unicode-Map8-0.13-declaration.patch
Patch1:		perl-Unicode-Map8-0.13-type.patch

Buildrequires:	perl-devel
# (tv) for test suite:
Buildrequires:	perl(Unicode::String)

%{?perl_default_filter}

%description
The Unicode::Map8 class implement efficient mapping tables between 8-bit
character sets and 16 bit character sets like Unicode. The tables are efficient
both in terms of space allocated and translation speed. The 16-bit strings is
assumed to use network byte order.

%prep
%autosetup -p0 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# (tv) test suite failed in iurt but success with iurt --shell :-(
#%make test

%install
%make_install

%files 
%doc README Changes
%{perl_vendorarch}/auto/Unicode
%{perl_vendorarch}/Unicode
%{_mandir}/*/*
%{_bindir}/*




%changelog
* Fri Aug 23 2024 tv <tv> 0.130.0-31.mga10
+ Revision: 2089320
- Rebuild for perl-5.40

* Tue Nov 28 2023 tv <tv> 0.130.0-30.mga10
+ Revision: 2010943
- Rebuild for armv7 (media did not contain latest Glib)

* Tue Nov 28 2023 tv <tv> 0.130.0-29.mga10
+ Revision: 2010508
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.130.0-28.mga9
+ Revision: 1862583
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.130.0-27.mga9
+ Revision: 1796303
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.130.0-26.mga9
+ Revision: 1727208
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.130.0-25.mga8
+ Revision: 1595292
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.130.0-24.mga8
+ Revision: 1530145
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.130.0-23.mga8
+ Revision: 1433935
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.130.0-22.mga7
+ Revision: 1293915
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.130.0-21.mga7
+ Revision: 1249913
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.130.0-20.mga7
+ Revision: 1167224
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.130.0-19.mga7
+ Revision: 1149968
- Rebuild for perl ABI changes

* Wed Jul 26 2017 sander85 <sander85> 0.130.0-18.mga7
+ Revision: 1131094
- Fix build with perl 5.26 (patches from Fedora)
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-17.mga6
+ Revision: 1035457
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.130.0-16.mga6
+ Revision: 958163
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.130.0-15.mga6
+ Revision: 845445
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.130.0-14.mga6
+ Revision: 841376
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-13.mga5
+ Revision: 750277
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.130.0-12.mga5
+ Revision: 732585
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-11.mga5
+ Revision: 686791
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.130.0-10.mga5
+ Revision: 632351
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.130.0-9.mga4
+ Revision: 525111
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.130.0-8.mga4
+ Revision: 432329
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.130.0-7.mga4
+ Revision: 432186
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-6.mga3
+ Revision: 374615
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.130.0-5.mga3
+ Revision: 251288
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.130.0-4.mga2
+ Revision: 105142
- Rebuild for perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.130.0-3.mga1
+ Revision: 15620
- imported package perl-Unicode-Map8

